Package ru.bitel.bgbilling.modules.runtel.common.service

# Interface RunTelService

    public interface RunTelService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteContractTariff​(int id)` |
  `RunTelContractTariff` | `getContractTariff​(int contractTariffId)` |
  `java.util.List<RunTelIdPeriod>` | `getContractTariffIds​(int contractId)` |
  `java.time.LocalDateTime` | `getOnDateContractTariff​(int contractId)` |
  `RunTelTariff` | `getRunTelTariff​(int id)` |
  `java.util.List<TariffAdditionalItem>` | `getTariffAdditionalServiceItems()` |
  `java.util.List<TariffIncludeItem>` | `getTariffIncludeItems()` |
  `java.util.List<TariffServiceItem>` | `getTariffServiceItems()` |
  `SearchResult<RunTelContractTariff>` | `searchContractRunTelTariff​(int contractId, PeriodWithTime period)` |
  `SearchResult<RunTelTariff>` | `searchRunTelTariff()` |
  `int` | `updateContractTariff​(RunTelContractTariff runTelContractTariff)` |
  `void` | `updateContractTariffDateTo​(int contractTariffId, java.time.LocalDateTime dateTo)` |
  `void` | `updateTariff​(RunTelTariff runTelTariff)` |

- ## Method Details

  - ### searchContractRunTelTariff

    SearchResult<RunTelContractTariff> searchContractRunTelTariff​(int contractId, PeriodWithTime period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchRunTelTariff

    SearchResult<RunTelTariff> searchRunTelTariff() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRunTelTariff

    RunTelTariff getRunTelTariff​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTariff

    void updateTariff​(RunTelTariff runTelTariff) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractTariff

    RunTelContractTariff getContractTariff​(int contractTariffId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOnDateContractTariff

    java.time.LocalDateTime getOnDateContractTariff​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractTariff

    int updateContractTariff​(RunTelContractTariff runTelContractTariff) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractTariffDateTo

    void updateContractTariffDateTo​(int contractTariffId, java.time.LocalDateTime dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractTariff

    void deleteContractTariff​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffServiceItems

    java.util.List<TariffServiceItem> getTariffServiceItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffIncludeItems

    java.util.List<TariffIncludeItem> getTariffIncludeItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffAdditionalServiceItems

    java.util.List<TariffAdditionalItem> getTariffAdditionalServiceItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractTariffIds

    java.util.List<RunTelIdPeriod> getContractTariffIds​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`